<div>
  <div class="row justify-content-center">

    <div class="col-xl-12">

      <div class="card">

        <header class="card-header">

          <h4 class="card-title mt-2">Registration Form</h4>

        </header>

        <article class="card-body">

          <form>

            <div class="form-row">

              <div class="col form-group">

                <label>First name </label>

                <input type="text" class="form-control" placeholder=""
                       required minlength="1" max="20" [formControl]="Fname">

                <div *ngIf="(Fname.dirty || Fname.touched) && Fname.invalid">
                    <div class="alert" role="alert">
                      First name is required
                  </div>
                </div>

              </div>
              <div class="col form-group">

                <label>Last name</label>

                <input type="text" class="form-control" placeholder=" "
                       required minlength="1" max="20" [formControl]="Lname">
                <div *ngIf="(Lname.dirty || Lname.touched) && Lname.invalid">
                  <div class="alert" role="alert">
                    Last name is required
                  </div>
                </div>

              </div>

            </div>
            <div class="form-group">

              <label>Email address</label>

              <input type="email" class="form-control" placeholder="" [formControl]="emailId"
              required  minlength="1" maxlength="30" email>
                <div *ngIf="emailId.invalid && (emailId.touched || emailId.dirty)">
                  <div *ngIf="emailId.errors.required" class="alert" role="alert">
                    Email is required
                  </div>
                  <div *ngIf="emailId.errors.email"  class="alert" role="alert">
                    Email not valid
                  </div>
                </div>



            </div>

            <div class="form-group" [formGroup]="Gender">

              <label class="form-check form-check-inline">

                <input class="form-check-input" type="radio"  formControlName="Male">

                <span class="form-check-label"> Male </span>

              </label>

              <label class="form-check form-check-inline">

                <input class="form-check-input" type="radio" formControlName="Female">

                <span class="form-check-label"> Female</span>

              </label>

              <label class="form-check form-check-inline">

                <input class="form-check-input" type="radio" formControlName="Other">

                <span class="form-check-label"> Other </span>

              </label>

            </div>

            <div class="form-row">

              <div class="form-group col-lg-6">

                <label>City</label>

                <input type="text" class="form-control" [formControl]="city"
                required  minlength="1" maxlength="30">

                <div *ngIf="city.invalid && (city.touched || city.dirty)">
                  <div class="alert" role="alert">
                    City name is required
                  </div>
                </div>


              </div>

              <div class="form-group col-md-6">

                <label>Country</label>

                <select id="inputState" class="form-control">

                  <option selected=""> Armenia </option>
                  <option> United Kingdom </option>
                  <option> Russia </option>
                  <option> United States </option>
                  <option> India </option>

                </select>
              </div>

            </div>
            <div [formGroup]="Pass">
              <div class="form-group" >

                <label>Create password</label>

                <input class="form-control" type="password"  formControlName="Password"
                       required minlength="8" maxlength="30" >

                <div *ngIf="this.Pass.get('Password').invalid && (this.Pass.get('Password').touched
               || this.Pass.get('Password').dirty)">

                  <div *ngIf="this.Pass.get('Password').errors.required" class="alert" role="alert">
                    Password is required
                  </div>

                  <div *ngIf="this.Pass.get('Password').errors.minlength" class="alert" role="alert">
                    This password is too short
                  </div>
                </div>
                <small class="text-muted">Password must contain at least 8 characters: at least <br>
                  one uppercase, one lowercase, one number digit </small>

              </div>

              <div class="form-group">

                <label>Confirm password</label>

                <input class="form-control" type="password"  required formControlName="ConfirmPass" pattern="{{this.Pass.get('Password').value}}">
                <div *ngIf="this.Pass.get('ConfirmPass').invalid && (this.Pass.get('ConfirmPass').touched || this.Pass.get('ConfirmPass').dirty)">
                  <div *ngIf="this.Pass.get('ConfirmPass').errors.required" class="alert" role="alert">
                    Please confirm your password
                  </div>

                  <div *ngIf="this.Pass.get('ConfirmPass').errors.pattern" class="alert" role="alert">
                    Passwords don't match
                  </div>
                </div>
              </div>
            </div>


            <label class="form-check">

              <input class="form-check-input" type="checkbox" name="terms">

              <small class="text-muted">Please confirm Terms of use and Privacy Policy.</small>

            </label>

            <div class="form-group">
              <button type="submit" class="btn btn-primary btn-block"> Next </button>
            </div>

          </form>

        </article>
      </div>

    </div>

  </div>

</div>


